Bug 449796 - Upgrade to iperf 2.0.4
Upgrade to iperf 2.0.4
Product: Fedora EPEL
Classification: Fedora
Component: iperf (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gabriel Somlo
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-03 12:34 EDT by Matt Selsky
Modified: 2009-02-11 18:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-11 18:10:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Selsky 2008-06-03 12:34:03 EDT
Daemon mode is broken in iperf 2.0.2.  Please update to upstream's 2.0.4
release, which fixes this.

Comment 1 Gabriel Somlo 2008-06-03 14:35:41 EDT
I had 2.0.4 packaged and ready to submit the day I read on NANOG that 2.0.4 was
released, a few months ago :)

Then I noticed that in server mode ('iperf -s') the server quits, with a 0
exit code nonetheless, any time I try to connect to it in bidirectional mode.

Try running 2.0.4 in simple server mode on machine foo:

    [somlo@foo]$ iperf -s

then connect to it in duplex mode from machine bar:

    [somlo@bar]$ iperf -c foo -d

When I tried it, on foo, the iperf server terminated at the end of the test.

I submitted a message to their mailing list about this, never got any replies.

I could fix it if it were C, but tracking down where things happen across a
bunch of objects in C++ is more time consuming than my schedule permits.

If I had to make a judgment call, I'd say having a broken daemon mode is less
bad than having a broken duplex mode, but I realize that's not a good answer.

Let me try to ping them again on the duplex issue, but meanwhile if you know
C++ and want to track down where it decides to exit instead of continuing to
listen after a duplex client connection, I'd appreciate a cc when you send in
the patch :)

Comment 2 Gabriel Somlo 2008-06-03 14:46:56 EDT
so, apparently, sending stuff to the mailing list is equivalent to sending to
/dev/null :)

Hidden on the sourceforge page somewhere, there was a link to a bug tracker. I
just submitted the following:


Let's see if that helps speed things up...
Comment 3 Fedora Update System 2009-01-21 14:46:52 EST
iperf-2.0.4-1.fc9 has been submitted as an update for Fedora 9.
Comment 4 Fedora Update System 2009-01-21 14:47:02 EST
iperf-2.0.4-1.fc10 has been submitted as an update for Fedora 10.
Comment 5 Fedora Update System 2009-01-23 21:34:42 EST
iperf-2.0.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-01-23 21:36:41 EST
iperf-2.0.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.